<app-nav-bar></app-nav-bar>
<div class="background">
  <!--  <p>Host name: {{apartment.Host.FirstName}} {{apartment.Host.LastName}}</p>-->
  <p>Number of rooms: {{apartment.RoomNumber}}</p>

  <p>Price: {{apartment.Price}}</p>
  <p>Number of guests: {{apartment.GuestNumber}}</p>
  <div *ngIf="apartment.Type==0">
    <p>Apartment type: Entire place</p>
  </div>
  <div *ngIf="apartment.Type==1">
    <p>Apartment type: Room</p>
  </div>
  <div *ngIf="apartment.Status==0">
    <p>Apartment Status: Active</p>
  </div>
  <div *ngIf="apartment.Status==1">
    <p>Apartment Status: Inactive</p>
  </div>

  <p>Amenities</p>
  <div *ngFor="let a of apartment.Amenities">
    <p> - {{a.Description}}</p>
  </div>
<!--  <p>Location: {{this.location['Address']}},  {{apartment.Location.Address.ZipCode}}  {{apartment.Location.Address.City}}</p>-->
</div>

<div class="background" style="margin-top: 5%">
  <h4 id="title" *ngIf="this.apartment.Comments.length !== 0">Comments</h4>
  <h4 id="noComments" *ngIf="this.apartment.Comments.length == 0">There are no comments yet</h4>
  <!--</button>-->

  <div style="overflow-y: scroll; max-height:50%">
    <div *ngFor="let comment of apartment.Comments;let i = index" >
      <div id="comment" class="card" style="width: 10cm; margin: 20px 20px 20px 40px;">
        <div class="card-body">
          <h6 id="user">{{comment.guest.Username}}</h6>
          <p id="text" class="card-text">{{comment.Description}}</p>
          <button id="deleteComment" class="card-text" *ngIf="loggedUser.Role === 2" style="float: right"
                  (click)="acceptComment(i)">Accept
          </button>
        </div>
      </div>
    </div>
    <textarea id="newComment" style="width: 10cm; margin: 20px 20px 5px 40px;" type="text"
              placeholder="Write a comment..." [(ngModel)]="newComment"></textarea>
    <button id="commentButton" style="margin: 0px 20px 0px 100px;" class="btn btn-outline-dark" (click)="addComment()"
            [disabled]="newComment === ''">Add comment
    </button>
  </div>

</div>
